Bug 3459 - topissues doesn't take care of ccode.
Summary: topissues doesn't take care of ccode.
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Owen Leonard
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-31 03:04 UTC by Nahuel Angelinetti
Modified: 2012-10-25 23:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
bugfix (3.93 KB, patch)
2009-07-31 15:06 UTC, Chris Cormack
Details | Diff | Splinter Review
Proposed fix (10.81 KB, patch)
2010-06-30 15:46 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:10:55 UTC


---- Reported by nahuel.angelinetti@biblibre.com 2009-07-31 15:04:54 ----

This opac-topissues.pl script doesn't take care of the position of AdvancedSearchTypes syspref for itemtypes. It should.



---- Additional Comments From nahuel.angelinetti@biblibre.com 2009-07-31 15:06:44 ----

Created an attachment
bugfix





--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:10 UTC  ---

This bug was previously known as _bug_ 3459 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3459
Imported an attachment (id=1314)

Actual time not defined. Setting to 0.0
The original submitter of attachment 1314 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.

Comment 1 Owen Leonard 2010-06-29 19:41:29 UTC
The patch for this was pushed to 3.0.x, but I'm re-purposing this bug for HEAD. In testing the changes on the code in HEAD, I see that the patch only swaps the display of itemtypes with ccodes. There are no changes to the template to reflect this switch:

- The table header should say "Collection," not "Item type."
- The filter in the left-hand sidebar should offer a filter on collection code instead of item type.
Comment 2 Owen Leonard 2010-06-30 15:46:25 UTC
Created attachment 2295 [details] [review]
Proposed fix

- Change conditional to display filter in sidebar without EXPR
- Enhance switch between ccode default and itemtype default searches
- Enable preselect of submitted collection code in filter form,
  stealing code from opac-search.pl
Comment 3 Katrin Fischer 2011-01-13 21:54:36 UTC
Successfully tested on current HEAD.
Comment 4 Chris Cormack 2011-01-13 22:37:57 UTC
Pushed, please test
Comment 5 MJ Ray (software.coop) 2011-02-04 09:13:45 UTC
This bug is mentioned in:
Fix for Bug 3459,	topissues doesn't take care of ccode http://lists.koha-community.org/pipermail/koha-patches/2011-January/013601.html